ELF_GETSCN(3)

NAME
elf_getscn - retrieve a descriptor for an ELF section at a specified index.

SYNOPSIS
#include <libelf.h> Elf_Scn *elf_getscn(Elf *elf, size_t index);

DESCRIPTION
The elf_getscn function retrieves a section descriptor for the section at the specified index in the ELF object referred to by elf.

PARAMETERS

elf An Elf pointer to the ELF object from which the section descriptor is to be retrieved.

index
    A size_t value representing the index of the section whose descriptor is to be retrieved. Section indices start at 0. The section at index 0 is always SHT_NULL and does not contain any data.

RETURN VALUE
The elf_getscn function returns a pointer to the Elf_Scn for the section at the specified index. If an error occurs, it returns NULL and sets an appropriate libelf error code.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

SEE ALSO
elf_errno(3), libelf(3), elf(5)

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.